# Type alias Compilation

Compilation: Common.Compilation & {
compiler: {
name: string;
version: string;
};
contracts: Project.LoadCompile.Contract[];
db: {
compilation: Resources.IdObject<"compilations">;
};
sources: Project.LoadCompile.Source[];
}

#### Type declaration

- ##### compiler: {
  name: string;
  version: string;
  }

  - ##### name: string

  - ##### version: string

- ##### contracts: Project.LoadCompile.Contract[]

- ##### db: {
  compilation: Resources.IdObject<"compilations">;
  }

  - ##### compilation: Resources.IdObject<"compilations">

- ##### sources: Project.LoadCompile.Source[]

- Defined in packages/db/src/project/loadCompile/index.ts:21

Generated using TypeDoc